import * as ts from 'typescript';
/** Name of the Angular Material module specifier. */
export declare const materialModuleSpecifier = "@angular/material";
/** Name of the Angular CDK module specifier. */
export declare const cdkModuleSpecifier = "@angular/cdk";
/** Whether the specified node is part of an Angular Material import declaration. */
export declare function isMaterialImportDeclaration(node: ts.Node): boolean;
/** Whether the specified node is part of an Angular Material export declaration. */
export declare function isMaterialExportDeclaration(node: ts.Node): ts.ExportDeclaration;
